This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 1538493 - Gnome crashes while plugging USB
Summary: Gnome crashes while plugging USB
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
(Show other bugs)
Version: 27
Hardware: x86_64 Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1538766 1540587 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 08:29 UTC by William Laszlo
Modified: 2018-11-30 17:28 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-11-30 17:28:41 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl -f output (15.72 KB, text/plain)
2018-01-25 12:40 UTC, Joost Lammers
no flags Details
screenshot showing that I have disabled the linked extension (56.26 KB, image/png)
2018-02-25 14:28 UTC, Muayyad Alsadi
no flags Details

Description William Laszlo 2018-01-25 08:29:17 UTC
Description of problem: 
I plug my phone into USB connection and I get a crash.
I'm send to login and the problem occurs untill I unplug the phone.


Version-Release number of selected component (if applicable):
Kernel 4.14.14-300.fc27.x86_64

How reproducible:


Steps to Reproduce:
1. Plug phone
2. Crash


Additional info:
[  230.849614] pci 0000:3a:00.0: [8086:15b6] type 00 class 0x0c0330
[  230.849648] pci 0000:3a:00.0: reg 0x10: [mem 0xcbf00000-0xcbf0ffff]
[  230.849718] pci 0000:3a:00.0: enabling Extended Tags
[  230.849802] pci 0000:3a:00.0: supports D1 D2
[  230.849803] pci 0000:3a:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[  230.850234] pci_bus 0000:05: Allocating resources
[  230.850704] xhci_hcd 0000:3a:00.0: xHCI Host Controller
[  230.851118] xhci_hcd 0000:3a:00.0: new USB bus registered, assigned bus number 5
[  230.852260] xhci_hcd 0000:3a:00.0: hcc params 0x200077c1 hci version 0x110 quirks 0x00009810
[  230.852624] usb usb5: New USB device found, idVendor=1d6b, idProduct=0002
[  230.852625] usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[  230.852627] usb usb5: Product: xHCI Host Controller
[  230.852628] usb usb5: Manufacturer: Linux 4.14.14-300.fc27.x86_64 xhci-hcd
[  230.852628] usb usb5: SerialNumber: 0000:3a:00.0
[  230.852825] hub 5-0:1.0: USB hub found
[  230.852838] hub 5-0:1.0: 2 ports detected
[  230.853117] xhci_hcd 0000:3a:00.0: xHCI Host Controller
[  230.853166] xhci_hcd 0000:3a:00.0: new USB bus registered, assigned bus number 6
[  230.853169] xhci_hcd 0000:3a:00.0: Host supports USB 3.1 Enhanced SuperSpeed
[  230.853227] usb usb6: New USB device found, idVendor=1d6b, idProduct=0003
[  230.853229] usb usb6: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[  230.853230] usb usb6: Product: xHCI Host Controller
[  230.853232] usb usb6: Manufacturer: Linux 4.14.14-300.fc27.x86_64 xhci-hcd
[  230.853233] usb usb6: SerialNumber: 0000:3a:00.0
[  230.853378] hub 6-0:1.0: USB hub found
[  230.853389] hub 6-0:1.0: 2 ports detected
[  231.175457] usb 5-1: new high-speed USB device number 2 using xhci_hcd
[  231.306563] usb 5-1: New USB device found, idVendor=2a70, idProduct=f003
[  231.306569] usb 5-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  231.306573] usb 5-1: Product: OnePlus
[  231.306576] usb 5-1: Manufacturer: OnePlus
[  231.306580] usb 5-1: SerialNumber: 5315db02
[  231.562194] usb-storage 5-1:1.1: USB Mass Storage device detected
[  231.563214] scsi host2: usb-storage 5-1:1.1
[  231.563640] usbcore: registered new interface driver usb-storage
[  231.575220] usbcore: registered new interface driver uas
[  232.618502] scsi 2:0:0:0: CD-ROM            OnePlus  Device Driver    0404 PQ: 0 ANSI: 2
[  232.622125] sr 2:0:0:0: [sr0] scsi-1 drive
[  232.622128] cdrom: Uniform CD-ROM driver Revision: 3.20
[  232.623096] sr 2:0:0:0: Attached scsi CD-ROM sr0
[  232.623476] sr 2:0:0:0: Attached scsi generic sg0 type 5
[  233.978963] ISO 9660 Extensions: Microsoft Joliet Level 3
[  233.981763] ISOFS: changing to secondary root
[  234.025056] rfkill: input handler enabled
[  244.734926] usb 5-1: USB disconnect, device number 2
[  244.949642] xhci_hcd 0000:3a:00.0: xHCI host controller not responding, assume dead
[  244.949665] xhci_hcd 0000:3a:00.0: HC died; cleaning up
[  244.949716] xhci_hcd 0000:3a:00.0: Timeout while waiting for configure endpoint command
[  245.238880] xhci_hcd 0000:3a:00.0: remove, state 4
[  245.238886] usb usb6: USB disconnect, device number 1
[  245.239077] xhci_hcd 0000:3a:00.0: USB bus 6 deregistered
[  245.239384] xhci_hcd 0000:3a:00.0: remove, state 1
[  245.239387] usb usb5: USB disconnect, device number 1
[  245.239574] xhci_hcd 0000:3a:00.0: Host halt failed, -19
[  245.239577] xhci_hcd 0000:3a:00.0: Host not accessible, reset failed.
[  245.239641] xhci_hcd 0000:3a:00.0: USB bus 5 deregistered
[  245.244422] pci_bus 0000:05: Allocating resources
[  268.618559] rfkill: input handler disabled

Phone is set to "Charging mode".

Comment 1 Joost Lammers 2018-01-25 11:38:19 UTC
Same happens on my laptop (i3-5005U) when I insert or eject a usb key while running gnome on Wayland.  

(When using gnome on Xorg the gnome-shell only crashes when i eject the key, when I insert the key Xorg does kind of a refresh, so not much better).

This also happens with kernel 4.14.11-300.fc27.x86_64.

 
On my other Fedora systems, notebook (m3-7Y30) and desktop (AMD Ryzen 5 1600) no problems. 

Since I have my keepass database on a usb-stick this issue is very inconvenient.

Comment 2 Joost Lammers 2018-01-25 12:40 UTC
Created attachment 1386037 [details]
journalctl -f output

This is a part of journalctl -f running in ssh-session on another system.
Shows what happens when I press unmount in Nautilus.

Comment 3 Steeve McCauley 2018-01-25 13:41:06 UTC
When I attempt to mount my usb connected android phone via nautilus I also get a hard gnome-shell crash that logs me out and kills all of my processes.  I first noticed this yesterday on a fresh desktop install while attempting to mount an external usb hard drive.

I'm running Xorg though, and it doesn't crash until I attempt to mount with nautilus.

This is really exceptionally inconvenient, and I haven't managed to find a work-around to get my phone mounted.  The external usb drive did mount and remain mounted, but I can't remember if it crashed in nautilus or the gnome Disks application.

Comment 5 Jan Vlug 2018-01-25 14:00:50 UTC
Same as bug #1512203 and bug #1538493?

Comment 6 Jan Vlug 2018-01-25 14:01:32 UTC
Same as bug #1419778?

Comment 7 Steeve McCauley 2018-01-25 14:09:19 UTC
I get the same result with Wayland or Xorg using Nautilus or command-line with gvfs-mount, but there's very little information in the journal surrounding the session crash.

Xorg,

Jan 25 08:48:15 woot.home gvfsd[12759]: Device 0 (VID=18d1 and PID=4ee2) is a Google Inc Nexus/Pixel (MTP+ADB).
Jan 25 08:48:15 woot.home nautilus[13458]: invalid cast from 'GTask' to 'GSimpleAsyncResult'
Jan 25 08:48:15 woot.home nautilus[13458]: g_simple_async_result_propagate_error: assertion 'G_IS_SIMPLE_ASYNC_RESULT (simple)' failed
Jan 25 08:48:15 woot.home polkitd[1253]: Unregistered Authentication Agent for unix-session:21 (system bus name :1.349, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_CA.UTF-8) (disconnected from bus)
Jan 25 08:48:15 woot.home gnome-session-binary[12669]: WARNING: App 'org.gnome.Shell.desktop' exited with code 1
Jan 25 08:48:15 woot.home gnome-session[12669]: gnome-session-binary[12669]: WARNING: App 'org.gnome.Shell.desktop' exited with code 1

Wayland,

Jan 25 08:50:15 woot.home gvfsd[14012]: Device 0 (VID=18d1 and PID=4ee2) is a Google Inc Nexus/Pixel (MTP+ADB).
Jan 25 08:50:15 woot.home nautilus[14720]: invalid cast from 'GTask' to 'GSimpleAsyncResult'
Jan 25 08:50:15 woot.home nautilus[14720]: g_simple_async_result_propagate_error: assertion 'G_IS_SIMPLE_ASYNC_RESULT (simple)' failed
Jan 25 08:50:15 woot.home dbus-daemon[13611]: [session uid=1201 pid=13611] Activating service name='org.gnome.Shell.HotplugSniffer' requested by ':1.21' (uid=1201 pid=14032 comm="/usr/bin/gnome-shell " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
Jan 25 08:50:15 woot.home dbus-daemon[13611]: [session uid=1201 pid=13611] Successfully activated service 'org.gnome.Shell.HotplugSniffer'
Jan 25 08:50:15 woot.home gnome-session[13921]: gnome-session-binary[13921]: WARNING: App 'org.gnome.Shell.desktop' exited with code 1
Jan 25 08:50:15 woot.home gnome-session-binary[13921]: WARNING: App 'org.gnome.Shell.desktop' exited with code 1

gvfs-mount,

Jan 25 08:55:08 woot.home gvfsd[15179]: Device 0 (VID=18d1 and PID=4ee2) is a Google Inc Nexus/Pixel (MTP+ADB).
Jan 25 08:55:08 woot.home dbus-daemon[1164]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service' requested by ':1.454' (uid=1201 pid=15201 comm="/usr/bin/gnome-shell " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
Jan 25 08:55:08 woot.home systemd[1]: Starting Hostname Service...
Jan 25 08:55:08 woot.home dbus-daemon[14920]: [session uid=1201 pid=14920] Activating service name='org.gnome.Shell.HotplugSniffer' requested by ':1.21' (uid=1201 pid=15201 comm="/usr/bin/gnome-shell " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
Jan 25 08:55:08 woot.home dbus-daemon[14920]: [session uid=1201 pid=14920] Successfully activated service 'org.gnome.Shell.HotplugSniffer'
Jan 25 08:55:08 woot.home dbus-daemon[1164]: [system] Successfully activated service 'org.freedesktop.hostname1'
Jan 25 08:55:08 woot.home audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-hostnamed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jan 25 08:55:08 woot.home systemd[1]: Started Hostname Service.
Jan 25 08:55:08 woot.home gnome-session[15089]: gnome-session-binary[15089]: WARNING: App 'org.gnome.Shell.desktop' exited with code 1

Comment 8 Steeve McCauley 2018-01-25 14:22:11 UTC
For the record, I noticed that gvfs-mount was deprecated in favour of 'gio mount' but the result is identical, the gnome-session crashes hard and the shell exits.

I also get the following,

gio mount 'mtp://[usb:003,020]/'
gio: mtp://[usb:003,020]/: volume doesn’t implement mount

This is getting more bizarre by the minute.

Comment 9 Steeve McCauley 2018-01-25 14:41:06 UTC
Okay, I don't know if your issue is the same as mine, but disabling all extensions allowed me to mount my phone through nautilus.

Comment 10 Steeve McCauley 2018-01-25 14:54:55 UTC
I traced my issue down to the "Places status indicator", after disabling that extension my problems went away.  Sorry if I've cluttered up this bug if it turns out to be unrelated.

Comment 12 William Laszlo 2018-01-25 15:03:31 UTC
I will try to disable it tomorrow at office.

I will keep this thread updated if that was the problem.

Comment 13 Joost Lammers 2018-01-25 15:45:49 UTC
I disabled the "Places status indicator" and have no more crashes...
This is an extension I can live without, even didn't have it installed on my other systems.

Comment 14 Joost Lammers 2018-01-25 19:05:23 UTC
Replacing placeDisplay.js as described in https://gitlab.gnome.org/GNOME/gnome-shell-extensions/issues/49 fixed the crash.

Comment 15 Kristijan 2018-01-26 15:27:46 UTC
*** Bug 1538766 has been marked as a duplicate of this bug. ***

Comment 16 Per Sjoholm 2018-01-28 11:05:13 UTC
(In reply to Joost Lammers from comment #14)
> Replacing placeDisplay.js as described in
> https://gitlab.gnome.org/GNOME/gnome-shell-extensions/issues/49 fixed the
> crash.

Fixed the Crash

Download latest stable 
https://gitlab.gnome.org/GNOME/gnome-shell-extensions/raw/gnome-3-26/extensions/places-menu/placeDisplay.js and replacing 

sudo cp placeDisplay.js /usr/share/gnome-shell/extensions/places-menu@gnome-shell-extensions.gcampax.github.com/placeDisplay.js

Comment 17 William Laszlo 2018-01-29 07:43:57 UTC
I took placeDisplay.js but didn't work. I did a restart but that didn't help.
I disabled the extension and now it's stable.

Thanks for answers.

Comment 18 Georg Müller 2018-01-29 08:56:34 UTC
Can you please explain why you close this as NOTABUG? It _is_ a bug, and it hits people, as you see with the list of CCs.

For me, exchanging the file worked as described in comment #14.

Comment 19 William Laszlo 2018-01-29 08:59:08 UTC
My first bug report and I was a little bit confused. :) 
Sorry.

Comment 20 Alfredo Pizarro 2018-01-29 14:05:47 UTC
I had the same problem, Fedora 27 crashed after connection my Iphone using the usb cable, I tried using a Samsung Galaxy and crashed too. 
After that, performed the procedura mentioned in comment #14 and it worked for me.

Comment 21 John Edrington 2018-01-29 14:18:41 UTC
This isn't just limited to just when plugging in a USB. Accessing Google Drive via the gnome file browser will also trigger the issue.

Comment 22 Dimitris 2018-01-30 01:52:26 UTC
I can crash the gnome shell consistently in a Wayland session, killing the session, with all extensions deactivated as well as extensions "feature" deactivated, in the tweak tool.  Using a Google Pixel 2.

Comment 23 Dimitris 2018-01-30 02:08:13 UTC
Sorry, forgot to add:
On up to date F27, with gnome-shell at 3.26.2-4.fc27

I can't find anything on abrt, but there is this stack trace from gnome-shell logspamming my journal:

Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: == Stack trace for context 0x55d63130d000 ==
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #0 0x55d631690ae0 i   resource:///org/gnome/shell/ui/tweener.js:73 (0x7fa20c5ddef0 @ 9)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #1 0x7ffc218fd940 b   resource:///org/gnome/shell/ui/tweener.js:105 (0x7fa20c5df230 @ 36)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #2 0x7ffc218fd9e0 b   resource:///org/gnome/shell/ui/tweener.js:92 (0x7fa20c5df098 @ 52)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #3 0x7ffc218fe950 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7fa20c5e9cd0 @ 54)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #4 0x7ffc218feaa0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7fa20c5e9d58 @ 1626)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #5 0x7ffc218feb50 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7fa20c5e9de0 @ 100)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #6 0x7ffc218febe0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7fa20c5e9e68 @ 10)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #7 0x7ffc218fecd0 b   resource:///org/gnome/gjs/modules/signals.js:126 (0x7fa20c5e2b38 @ 386)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #8 0x7ffc218fed80 b   resource:///org/gnome/shell/ui/tweener.js:208 (0x7fa20c5df808 @ 159)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #9 0x7ffc218fede0 I   resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7fa20c5c2bc0 @ 71)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #10 0x7ffc218fede0 I   resource:///org/gnome/shell/ui/tweener.js:183 (0x7fa20c5df780 @ 20)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #11 0x7ffc218fee40 I   self-hosted:917 (0x7fa20c5ee5e8 @ 394)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: == Stack trace for context 0x55d63130d000 ==
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #0 0x55d631690ae0 i   resource:///org/gnome/shell/ui/tweener.js:80 (0x7fa20c5ddef0 @ 82)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #1 0x7ffc218fd940 b   resource:///org/gnome/shell/ui/tweener.js:105 (0x7fa20c5df230 @ 36)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #2 0x7ffc218fd9e0 b   resource:///org/gnome/shell/ui/tweener.js:92 (0x7fa20c5df098 @ 52)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #3 0x7ffc218fe950 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7fa20c5e9cd0 @ 54)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #4 0x7ffc218feaa0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7fa20c5e9d58 @ 1626)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #5 0x7ffc218feb50 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7fa20c5e9de0 @ 100)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #6 0x7ffc218febe0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7fa20c5e9e68 @ 10)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #7 0x7ffc218fecd0 b   resource:///org/gnome/gjs/modules/signals.js:126 (0x7fa20c5e2b38 @ 386)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #8 0x7ffc218fed80 b   resource:///org/gnome/shell/ui/tweener.js:208 (0x7fa20c5df808 @ 159)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #9 0x7ffc218fede0 I   resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7fa20c5c2bc0 @ 71)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #10 0x7ffc218fede0 I   resource:///org/gnome/shell/ui/tweener.js:183 (0x7fa20c5df780 @ 20)
Jan 29 18:05:26 vimes org.gnome.Shell.desktop[4018]: #11 0x7ffc218fee40 I   self-hosted:917 (0x7fa20c5ee5e8 @ 394)

Comment 24 Muayyad Alsadi 2018-01-31 13:46:06 UTC
the bug is reproducible even if places indicator is turned off (default)

Comment 25 Steeve McCauley 2018-01-31 14:04:51 UTC
FWIW, I have no problems at all since disabling the (repository version) of Places.

Comment 26 Ferry Huberts 2018-01-31 14:39:42 UTC
(In reply to Steeve McCauley from comment #25)
> FWIW, I have no problems at all since disabling the (repository version) of
> Places.

I had the problem of this report as well, and can confirm that disabling "Places" removes the crashes on USB unplug under Xorg

Comment 27 Luca 2018-01-31 18:07:44 UTC
*** Bug 1540587 has been marked as a duplicate of this bug. ***

Comment 28 Luca 2018-01-31 18:11:04 UTC
I'm a bit disappointed that a simple extension written in JavaScript could freeze the entire shell, making the desktop unusable and for me it was not simple to find what is generating the problem...

Comment 29 Dean Smith 2018-02-06 09:44:52 UTC
Same issue here - plugging in a range of USB drives (or unmounting them) causes all of Gnome to crash back to the login screen.

Disabling the Gnome plugin 'Places Status Indicator' fixes the issue (https://extensions.gnome.org/extension/8/places-status-indicator/).

Not sure how this should be possible for an extension to do this?

Fedora 27 4.14.16-300.fc27.x86_64
GNOME Shell 3.26.2

Happening on a Lenovo X1 Carbon G5 as well as a recent-ish desktop, both with the versions as above.

Comment 30 Muayyad Alsadi 2018-02-25 14:28 UTC
Created attachment 1400572 [details]
screenshot showing that I have disabled the linked extension

screenshot showing that I have disabled the linked extension.

disabling the extension did not fix the problem.

BTW: the bug happens once per reboot, so if it crashed once, it won't crash again.

Comment 31 Salvatore Bognanni 2018-03-01 08:58:47 UTC
The same is happening to my Thinkpad Carbon X1 . Gnome Version 3.26.2, kernel 4.15.4-300.fc27.x86_64. Each time I connect my phone , and there is USB access, GNOME crashes and logs me out, killing all my running applications. I completely removed the suspect extensions from either .local/share/gnome-shell/extensions/ and /usr/share/gnome-shell/extensions/ but that did not fix it.

Comment 32 Salvatore Bognanni 2018-03-01 09:01:01 UTC
Forgot to add that I am running on Wayland.

Comment 33 Steeve McCauley 2018-03-01 11:34:56 UTC
Are there other users on the computer that have the extension installed?

Try disabling all of your extensions, and restart your session.  Then add them back one by one and plug in your phone.  This is how I determined that Places was responsible for me.

Comment 34 Steeve McCauley 2018-03-01 11:35:07 UTC
Are there other users on the computer that have the extension installed?

Try disabling all of your extensions, and restart your session.  Then add them back one by one and plug in your phone.  This is how I determined that Places was responsible for me.

Comment 35 Muayyad Alsadi 2018-03-21 23:34:10 UTC
I don't have much, as I have m connect (kde connect), clipboard indicator, lock keys, dynamic top bar, open weather, todo.txt, top icons. 

after disabling all extensions, yes, it's still crashes.

the scenario is now different, I plug the flash drive, it crashes, I tries to login, I can't, it return back to GDM, I tries to login again, it won't work,
when I tries to restart it tells me that I'm logged in (but I'm not). and then after reboot it won't crash and work normally.

Comment 36 Ben Cotton 2018-11-27 16:31:36 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 37 Luca 2018-11-29 15:18:41 UTC
Now in Fedora 28 and 29 this problem doesn't occur anymore, so I can say that the bug is fixed. I'm also removing me from this bug CC's list.

Comment 38 Ben Cotton 2018-11-30 17:28:41 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.